org.apache.ignite.ml.tree.randomforest

## Class RandomForestRegressionTrainer

- java.lang.Object
- - org.apache.ignite.ml.trainers.DatasetTrainer<M,Double>
  - - org.apache.ignite.ml.trainers.SingleLabelDatasetTrainer<RandomForestModel>
    - - org.apache.ignite.ml.tree.randomforest.RandomForestTrainer<MeanValueStatistic,MSEHistogram,RandomForestRegressionTrainer>
      - - org.apache.ignite.ml.tree.randomforest.RandomForestRegressionTrainer

-     public class RandomForestRegressionTrainer
      extends RandomForestTrainer<MeanValueStatistic,MSEHistogram,RandomForestRegressionTrainer>

  Regression trainer based on RandomForest algorithm.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `DatasetTrainer.EmptyDatasetException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `envBuilder, environment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomForestRegressionTrainer(List<FeatureMeta> meta)` Constructs an instance of RandomForestRegressionTrainer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RandomForestModel` | `buildComposition(List<RandomForestTreeModel> models)` Returns composition of built trees.
    `protected ImpurityHistogramsComputer<MSEHistogram>` | `createImpurityHistogramsComputer()` Creates an instance of Histograms Computer corresponding to RF implementation.
    `protected LeafValuesComputer<MeanValueStatistic>` | `createLeafStatisticsAggregator()` Creates an instance of Leaf Statistics Aggregator corresponding to RF implementation.
    `protected RandomForestRegressionTrainer` | `instance()`

    - ### Methods inherited from class org.apache.ignite.ml.tree.randomforest.RandomForestTrainer

      `fitWithInitializedDeployingContext, init, initTrees, isUpdateable, updateModel, withAmountOfTrees, withFeaturesCountSelectionStrgy, withMaxDepth, withMinImpurityDelta, withNodesToLearnSelectionStrgy, withSeed, withSubSampleSize`

    - ### Methods inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `fit, fit, fit, fit, fit, fit, getLastTrainedModelOrThrowEmptyDatasetException, identityTrainer, learningEnvironment, update, update, update, update, update, withConvertedLabels, withEnvironmentBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomForestRegressionTrainer

          public RandomForestRegressionTrainer(List<FeatureMeta> meta)

      Constructs an instance of RandomForestRegressionTrainer.
      Parameters:
        `meta` - Features meta.

  - ### Method Detail

    - #### instance

          protected RandomForestRegressionTrainer instance()

      Specified by:
        `instance` in class `RandomForestTrainer<MeanValueStatistic,MSEHistogram,RandomForestRegressionTrainer>`
      Returns:
        an instance of current object with valid type in according to inheritance.

    - #### buildComposition

          protected RandomForestModel buildComposition(List<RandomForestTreeModel> models)

      Returns composition of built trees.
      Specified by:
        `buildComposition` in class `RandomForestTrainer<MeanValueStatistic,MSEHistogram,RandomForestRegressionTrainer>`
      Parameters:
        `models` - Models.
      Returns:
        composition of built trees.

    - #### createImpurityHistogramsComputer

          protected ImpurityHistogramsComputer<MSEHistogram> createImpurityHistogramsComputer()

      Creates an instance of Histograms Computer corresponding to RF implementation.
      Specified by:
        `createImpurityHistogramsComputer` in class `RandomForestTrainer<MeanValueStatistic,MSEHistogram,RandomForestRegressionTrainer>`

    - #### createLeafStatisticsAggregator

          protected LeafValuesComputer<MeanValueStatistic> createLeafStatisticsAggregator()

      Creates an instance of Leaf Statistics Aggregator corresponding to RF implementation.
      Specified by:
        `createLeafStatisticsAggregator` in class `RandomForestTrainer<MeanValueStatistic,MSEHistogram,RandomForestRegressionTrainer>`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021